package com.ruoyi.project.sems.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.sems.mapper.TSpecCheckMapper;
import com.ruoyi.project.sems.domain.TSpecCheck;
import com.ruoyi.project.sems.service.ITSpecCheckService;

/**
 * 特种设备检验记录Service业务层处理
 *
 * @author ruoyi
 * @date 2021-08-23
 */
@Service
public class TSpecCheckServiceImpl implements ITSpecCheckService
{
    @Autowired
    private TSpecCheckMapper tSpecCheckMapper;

    /**
     * 查询特种设备检验记录
     *
     * @param id 特种设备检验记录ID
     * @return 特种设备检验记录
     */
    @Override
    public TSpecCheck selectTSpecCheckById(Long id)
    {
        return tSpecCheckMapper.selectTSpecCheckById(id);
    }

    /**
     * 查询特种设备检验记录列表
     *
     * @param tSpecCheck 特种设备检验记录
     * @return 特种设备检验记录
     */
    @Override
    public List<TSpecCheck> selectTSpecCheckList(TSpecCheck tSpecCheck)
    {
        return tSpecCheckMapper.selectTSpecCheckList(tSpecCheck);
    }

    /**
     * 新增特种设备检验记录
     *
     * @param tSpecCheck 特种设备检验记录
     * @return 结果
     */
    @Override
    public int insertTSpecCheck(TSpecCheck tSpecCheck)
    {
        return tSpecCheckMapper.insertTSpecCheck(tSpecCheck);
    }

    /**
     * 修改特种设备检验记录
     *
     * @param tSpecCheck 特种设备检验记录
     * @return 结果
     */
    @Override
    public int updateTSpecCheck(TSpecCheck tSpecCheck)
    {
        return tSpecCheckMapper.updateTSpecCheck(tSpecCheck);
    }

    /**
     * 批量删除特种设备检验记录
     *
     * @param ids 需要删除的特种设备检验记录ID
     * @return 结果
     */
    @Override
    public int deleteTSpecCheckByIds(Long[] ids)
    {
        return tSpecCheckMapper.deleteTSpecCheckByIds(ids);
    }

    /**
     * 删除特种设备检验记录信息
     *
     * @param id 特种设备检验记录ID
     * @return 结果
     */
    @Override
    public int deleteTSpecCheckById(Long id)
    {
        return tSpecCheckMapper.deleteTSpecCheckById(id);
    }
}
